﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using NorthwindModel;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            NorthwindEntities entity = new NorthwindEntities();
            var product = (from prod in entity.Products
                           select prod).ToList();


            var category = (from cate in entity.Categories
                            where cate.CategoryID == 1 || cate.CategoryID == 2
                            select cate).ToList();

            var result = from p in product
                         join c in category on p.CategoryID equals c.CategoryID
                         select new
                         {
                             CategoryID = p.CategoryID,
                             CategoryName = c.CategoryName,
                             ProductName = p.ProductName
                         }; ;

            GridView1.DataSource = result.ToList().Take(5);
            GridView1.DataBind();
        }
    }
}